#include <iostream>
#include <vector>
using namespace std;
void abacus(long n)
{
    long i,l,d,j,k;
    vector<long> x;
    k=0;
    for(i=1;i<=n;i++)
    {
        l=i;
        d=1;
        while(l>0)
        {
            d*=l%10;
            l/=10;
        }
        for(j=0;j<k;j++)
        {
            if(d==x[j])
            {
                break;
            }
        }
        if(k==j)
        {
            x.push_back(d);
            k++;
        }
    }
    cout<<k<<endl;
}
int main()
{
    long n,x,i,j;
    cin>>n;
    for(i=0;i<n;i++)
    {
        cin>>x;
        abacus(x);
    }
    return 0;
}